Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.iff
Class AnimMerger.Loader

    java.lang.Object
      org.monte.media.iff.AnimMerger.Loader

All Implemented Interfaces:
  IFFVisitor

Enclosing class:
  AnimMerger

    protected static class AnimMerger.Loader

extends java.lang.Object
implements IFFVisitor

Constructor Summary
`AnimMerger.Loader()`

Method Summary
`void` | `enterGroup(IFFChunk group)`
`AnimMerger.IFFChunkNode` | `getRoot()`
`void` | `leaveGroup(IFFChunk group)`
`void` | `visitChunk(IFFChunk group, IFFChunk chunk)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnimMerger.Loader

    public AnimMerger.Loader()

Method Detail

### getRoot

    public AnimMerger.IFFChunkNode getRoot()

### enterGroup

    public void enterGroup(IFFChunk group)
                    throws ParseException,
                           AbortException

  Specified by:
    `enterGroup` in interface `IFFVisitor`
  Throws:
    `ParseException`
    `AbortException`

### leaveGroup

    public void leaveGroup(IFFChunk group)
                    throws ParseException,
                           AbortException

  Specified by:
    `leaveGroup` in interface `IFFVisitor`
  Throws:
    `ParseException`
    `AbortException`

### visitChunk

    public void visitChunk(IFFChunk group,
                           IFFChunk chunk)
                    throws ParseException,
                           AbortException

  Specified by:
    `visitChunk` in interface `IFFVisitor`
  Throws:
    `ParseException`
    `AbortException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD